player_simulation_pose3d_req Struct Reference

Request/reply: get/set 3D pose of a named simulation object. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | name_count
| Length of name.
char * | name
| the identifier of the object we want to locate
player_pose3d_t | pose
| the desired pose in (m, m, m, rad, rad, rad)
double | simtime
| simulation time when PLAYER_SIMULATION_REQ_GET_POSE3D was serviced. More...

## Detailed Description

Request/reply: get/set 3D pose of a named simulation object.

To retrieve the pose of an object in a 3D simulator, send a null PLAYER_SIMULATION_REQ_GET_POSE3D request. To set the pose of an object in a 3D simulator, send a PLAYER_SIMULATION_REQ_SET_POSE3D request (response will be null).

## Member Data Documentation

double player_simulation_pose3d_req::simtime

simulation time when PLAYER_SIMULATION_REQ_GET_POSE3D was serviced.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45